<!--
  Generated template for the AddImcPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>

  <ion-navbar>
    <ion-title>Indice de massa corporal </ion-title>
    <ion-buttons end>
      <div class="icone-imagem">
        <img src="{{ photo }}" class="icone-imagem" (click)="addPerfil2()">
      </div>
    </ion-buttons>
  </ion-navbar>

</ion-header>


<ion-content padding>

<div class="centralizar-testes"><span class="icone-direita" (click)="infoImc()"><ion-icon name="md-information-circle"></ion-icon></span>
    <div class="titulo-testes">Instruções</div>
<!--<img src="assets/imgs/imc.png" class="imagem">-->
<div class="texto-testes">
  Para medir a altura em metros, utilize uma fita métrica ou trena, desde a base, encostando no chão até o topo da cabeça.<br><br>
  Para medir o peso, verifique se a balança está corretamente calibrada com o marcador no zero antes da pesagem.
</div>
<!--<div class="fonte" padding><strong>Fonte:</strong><br>Caderneta de Saúde da Pessoa Idosa<br>Ministério da Saúde<br>2017</div>-->

</div>
<div class="quebra">
  <form (ngSubmit)="saveImc()" [formGroup]="formgroup" >  
    <ion-item>  
      <ion-label stacked class="campos-testes">Altura:</ion-label>
      <ion-input type="number" placeholder="|" [(ngModel)]="imc.altura" name="altura"  formControlName="alt" ></ion-input>
    </ion-item>
    <ion-item  *ngIf="!imc.altura" text-warp no-lines>
      <p class="error2">Exemplo: 1,70 ou 1.70</p>
    </ion-item>
    <ion-item  *ngIf="alt.hasError('required') && alt.touched" text-warp no-lines>
        <p class="error"> *Altura é um campo obrigado de ser preenchido</p>
      </ion-item>
      <ion-item *ngIf="alt.hasError('max') && alt.touched" text-warp no-lines>
          <p class="error">* Altura tem que ser menor que 2,6 metros</p>
      </ion-item>
    <ion-item>
      <ion-label stacked class="campos-testes">Peso:</ion-label>
      <ion-input type="number" placeholder="|" [(ngModel)]="imc.peso" name="peso"  formControlName="pes"></ion-input>
    </ion-item>
    <ion-item  *ngIf="!imc.peso" text-warp no-lines>
      <p class="error2">Exemplo: 60,50 ou 60.50</p>
    </ion-item>
    <ion-item  *ngIf="pes.hasError('required') && pes.touched" text-warp no-lines>
        <p class="error"> *Peso é um campo obrigado de ser preenchido.</p>
      </ion-item>
      <ion-item *ngIf="pes.hasError('max') && pes.touched" text-warp no-lines>
          <p class="error">* peso tem que ser menor que 200 Kg.</p>
      </ion-item>
      <ion-item *ngIf="pes.hasError('min') && pes.touched" text-warp no-lines>
          <p class="error">* peso tem que ser maior que 30 Kg.</p>
      </ion-item>
    <button ion-item round type="submit" color="botao" block  class="botao-testes" [disabled]="formgroup.invalid">Concluir</button>
  </form>
</div>
</ion-content>
